# DaprProtos.GetConfigurationResponse (dapr-sdk-parent 1.10.0 API)

Package io.dapr.v1

## Class DaprProtos.GetConfigurationResponse

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite
  - - com.google.protobuf.AbstractMessage
    - - com.google.protobuf.GeneratedMessageV3
      - - io.dapr.v1.DaprProtos.GetConfigurationResponse

All Implemented Interfaces:
  `com.google.protobuf.Message`, `com.google.protobuf.MessageLite`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `DaprProtos.GetConfigurationResponseOrBuilder`, `Serializable`

Enclosing class:
  DaprProtos

    public static final class DaprProtos.GetConfigurationResponse
    extends com.google.protobuf.GeneratedMessageV3
    implements DaprProtos.GetConfigurationResponseOrBuilder

     GetConfigurationResponse is the response conveying the list of configuration values.
     It should be the FULL configuration of specified application which contains all of its configuration items.

Protobuf type `dapr.proto.runtime.v1.GetConfigurationResponse`

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `DaprProtos.GetConfigurationResponse.Builder` GetConfigurationResponse is the response conveying the list of configuration values.

### Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessageV3

`com.google.protobuf.GeneratedMessageV3.BuilderParent, com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage,​BuilderType extends com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType,​BuilderType>>, com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.ExtendableMessageOrBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.FieldAccessorTable, com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter`

### Nested classes/interfaces inherited from class com.google.protobuf.AbstractMessageLite

`com.google.protobuf.AbstractMessageLite.InternalOneOfEnum`

### Field Summary

Fields
`static int` `ITEMS_FIELD_NUMBER`

### Fields inherited from class com.google.protobuf.GeneratedMessageV3

`alwaysUseFieldBuilders, unknownFields`

### Fields inherited from class com.google.protobuf.AbstractMessage

`memoizedSize`

### Fields inherited from class com.google.protobuf.AbstractMessageLite

`memoizedHashCode`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`boolean` `containsItems​(String key)` `map<string, .dapr.proto.common.v1.ConfigurationItem> items = 1;`
`boolean` `equals​(Object obj)`
`static DaprProtos.GetConfigurationResponse` `getDefaultInstance()`
`DaprProtos.GetConfigurationResponse` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`Map<String,​CommonProtos.ConfigurationItem>` `getItems()` Deprecated.
`int` `getItemsCount()` `map<string, .dapr.proto.common.v1.ConfigurationItem> items = 1;`
`Map<String,​CommonProtos.ConfigurationItem>` `getItemsMap()` `map<string, .dapr.proto.common.v1.ConfigurationItem> items = 1;`
`CommonProtos.ConfigurationItem` `getItemsOrDefault​(String key, CommonProtos.ConfigurationItem defaultValue)` `map<string, .dapr.proto.common.v1.ConfigurationItem> items = 1;`
`CommonProtos.ConfigurationItem` `getItemsOrThrow​(String key)` `map<string, .dapr.proto.common.v1.ConfigurationItem> items = 1;`
`com.google.protobuf.Parser<DaprProtos.GetConfigurationResponse>` `getParserForType()`
`int` `getSerializedSize()`
`com.google.protobuf.UnknownFieldSet` `getUnknownFields()`
`int` `hashCode()`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`protected com.google.protobuf.MapField` `internalGetMapField​(int number)`
`boolean` `isInitialized()`
`static DaprProtos.GetConfigurationResponse.Builder` `newBuilder()`
`static DaprProtos.GetConfigurationResponse.Builder` `newBuilder​(DaprProtos.GetConfigurationResponse prototype)`
`DaprProtos.GetConfigurationResponse.Builder` `newBuilderForType()`
`protected DaprProtos.GetConfigurationResponse.Builder` `newBuilderForType​(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)`
`protected Object` `newInstance​(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)`
`static DaprProtos.GetConfigurationResponse` `parseDelimitedFrom​(InputStream input)`
`static DaprProtos.GetConfigurationResponse` `parseDelimitedFrom​(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static DaprProtos.GetConfigurationResponse` `parseFrom​(byte[] data)`
`static DaprProtos.GetConfigurationResponse` `parseFrom​(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static DaprProtos.GetConfigurationResponse` `parseFrom​(com.google.protobuf.ByteString data)`
`static DaprProtos.GetConfigurationResponse` `parseFrom​(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static DaprProtos.GetConfigurationResponse` `parseFrom​(com.google.protobuf.CodedInputStream input)`
`static DaprProtos.GetConfigurationResponse` `parseFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static DaprProtos.GetConfigurationResponse` `parseFrom​(InputStream input)`
`static DaprProtos.GetConfigurationResponse` `parseFrom​(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static DaprProtos.GetConfigurationResponse` `parseFrom​(ByteBuffer data)`
`static DaprProtos.GetConfigurationResponse` `parseFrom​(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static com.google.protobuf.Parser<DaprProtos.GetConfigurationResponse>` `parser()`
`DaprProtos.GetConfigurationResponse.Builder` `toBuilder()`
`void` `writeTo​(com.google.protobuf.CodedOutputStream output)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3

`canUseUnsafe, computeStringSize, computeStringSizeNoTag, emptyBooleanList, emptyDoubleList, emptyFloatList, emptyIntList, emptyLongList, getAllFields, getDescriptorForType, getField, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof, makeExtensionsImmutable, mergeFromAndMakeImmutableInternal, mutableCopy, mutableCopy, mutableCopy, mutableCopy, mutableCopy, newBooleanList, newBuilderForType, newDoubleList, newFloatList, newIntList, newLongList, parseDelimitedWithIOException, parseDelimitedWithIOException, parseUnknownField, parseUnknownFieldProto3, parseWithIOException, parseWithIOException, parseWithIOException, parseWithIOException, serializeBooleanMapTo, serializeIntegerMapTo, serializeLongMapTo, serializeStringMapTo, writeReplace, writeString, writeStringNoTag`

### Methods inherited from class com.google.protobuf.AbstractMessage

`findInitializationErrors, getInitializationErrorString, hashBoolean, hashEnum, hashEnumList, hashFields, hashLong, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite

`addAll, addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite

`toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof`

### Field Detail

#### ITEMS_FIELD_NUMBER

    public static final int ITEMS_FIELD_NUMBER

See Also:
  Constant Field Values

### Method Detail

#### newInstance

    protected Object newInstance​(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)

Overrides:
  `newInstance` in class `com.google.protobuf.GeneratedMessageV3`

#### getUnknownFields

    public final com.google.protobuf.UnknownFieldSet getUnknownFields()

Specified by:
  `getUnknownFields` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getUnknownFields` in class `com.google.protobuf.GeneratedMessageV3`

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetMapField

    protected com.google.protobuf.MapField internalGetMapField​(int number)

Overrides:
  `internalGetMapField` in class `com.google.protobuf.GeneratedMessageV3`

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3`

#### getItemsCount

    public int getItemsCount()

Description copied from interface: `DaprProtos.GetConfigurationResponseOrBuilder`
`map<string, .dapr.proto.common.v1.ConfigurationItem> items = 1;`

Specified by:
  `getItemsCount` in interface `DaprProtos.GetConfigurationResponseOrBuilder`

#### containsItems

    public boolean containsItems​(String key)

`map<string, .dapr.proto.common.v1.ConfigurationItem> items = 1;`

Specified by:
  `containsItems` in interface `DaprProtos.GetConfigurationResponseOrBuilder`

#### getItems

    @Deprecated
    public Map<String,​CommonProtos.ConfigurationItem> getItems()

Deprecated.
Use `getItemsMap()` instead.

Specified by:
  `getItems` in interface `DaprProtos.GetConfigurationResponseOrBuilder`

#### getItemsMap

    public Map<String,​CommonProtos.ConfigurationItem> getItemsMap()

`map<string, .dapr.proto.common.v1.ConfigurationItem> items = 1;`

Specified by:
  `getItemsMap` in interface `DaprProtos.GetConfigurationResponseOrBuilder`

#### getItemsOrDefault

    public CommonProtos.ConfigurationItem getItemsOrDefault​(String key,
                                                            CommonProtos.ConfigurationItem defaultValue)

`map<string, .dapr.proto.common.v1.ConfigurationItem> items = 1;`

Specified by:
  `getItemsOrDefault` in interface `DaprProtos.GetConfigurationResponseOrBuilder`

#### getItemsOrThrow

    public CommonProtos.ConfigurationItem getItemsOrThrow​(String key)

`map<string, .dapr.proto.common.v1.ConfigurationItem> items = 1;`

Specified by:
  `getItemsOrThrow` in interface `DaprProtos.GetConfigurationResponseOrBuilder`

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3`

#### writeTo

    public void writeTo​(com.google.protobuf.CodedOutputStream output)
                 throws IOException

Specified by:
  `writeTo` in interface `com.google.protobuf.MessageLite`
Overrides:
  `writeTo` in class `com.google.protobuf.GeneratedMessageV3`
Throws:
  `IOException`

#### getSerializedSize

    public int getSerializedSize()

Specified by:
  `getSerializedSize` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getSerializedSize` in class `com.google.protobuf.GeneratedMessageV3`

#### equals

    public boolean equals​(Object obj)

Specified by:
  `equals` in interface `com.google.protobuf.Message`
Overrides:
  `equals` in class `com.google.protobuf.AbstractMessage`

#### hashCode

    public int hashCode()

Specified by:
  `hashCode` in interface `com.google.protobuf.Message`
Overrides:
  `hashCode` in class `com.google.protobuf.AbstractMessage`

#### parseFrom

    public static DaprProtos.GetConfigurationResponse parseFrom​(ByteBuffer data)
                                                         throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static DaprProtos.GetConfigurationResponse parseFrom​(ByteBuffer data,
                                                                com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                         throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static DaprProtos.GetConfigurationResponse parseFrom​(com.google.protobuf.ByteString data)
                                                         throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static DaprProtos.GetConfigurationResponse parseFrom​(com.google.protobuf.ByteString data,
                                                                com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                         throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static DaprProtos.GetConfigurationResponse parseFrom​(byte[] data)
                                                         throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static DaprProtos.GetConfigurationResponse parseFrom​(byte[] data,
                                                                com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                         throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static DaprProtos.GetConfigurationResponse parseFrom​(InputStream input)
                                                         throws IOException

Throws:
  `IOException`

#### parseFrom

    public static DaprProtos.GetConfigurationResponse parseFrom​(InputStream input,
                                                                com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                         throws IOException

Throws:
  `IOException`

#### parseDelimitedFrom

    public static DaprProtos.GetConfigurationResponse parseDelimitedFrom​(InputStream input)
                                                                  throws IOException

Throws:
  `IOException`

#### parseDelimitedFrom

    public static DaprProtos.GetConfigurationResponse parseDelimitedFrom​(InputStream input,
                                                                         com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                  throws IOException

Throws:
  `IOException`

#### parseFrom

    public static DaprProtos.GetConfigurationResponse parseFrom​(com.google.protobuf.CodedInputStream input)
                                                         throws IOException

Throws:
  `IOException`

#### parseFrom

    public static DaprProtos.GetConfigurationResponse parseFrom​(com.google.protobuf.CodedInputStream input,
                                                                com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                         throws IOException

Throws:
  `IOException`

#### newBuilderForType

    public DaprProtos.GetConfigurationResponse.Builder newBuilderForType()

Specified by:
  `newBuilderForType` in interface `com.google.protobuf.Message`
Specified by:
  `newBuilderForType` in interface `com.google.protobuf.MessageLite`

#### newBuilder

    public static DaprProtos.GetConfigurationResponse.Builder newBuilder()

#### newBuilder

    public static DaprProtos.GetConfigurationResponse.Builder newBuilder​(DaprProtos.GetConfigurationResponse prototype)

#### toBuilder

    public DaprProtos.GetConfigurationResponse.Builder toBuilder()

Specified by:
  `toBuilder` in interface `com.google.protobuf.Message`
Specified by:
  `toBuilder` in interface `com.google.protobuf.MessageLite`

#### newBuilderForType

    protected DaprProtos.GetConfigurationResponse.Builder newBuilderForType​(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)

Specified by:
  `newBuilderForType` in class `com.google.protobuf.GeneratedMessageV3`

#### getDefaultInstance

    public static DaprProtos.GetConfigurationResponse getDefaultInstance()

#### parser

    public static com.google.protobuf.Parser<DaprProtos.GetConfigurationResponse> parser()

#### getParserForType

    public com.google.protobuf.Parser<DaprProtos.GetConfigurationResponse> getParserForType()

Specified by:
  `getParserForType` in interface `com.google.protobuf.Message`
Specified by:
  `getParserForType` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getParserForType` in class `com.google.protobuf.GeneratedMessageV3`

#### getDefaultInstanceForType

    public DaprProtos.GetConfigurationResponse getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`